com.holonplatform.vaadin.flow.components.builders

## Interface PropertySelectInputConfigurator<T,S,C extends PropertySelectInputConfigurator<T,S,C>>

- Type Parameters:
    `T` - Value type
    `S` - Selection type
    `C` - Concrete configurator type
  All Superinterfaces:
    ComponentConfigurator<C>, DeferrableLocalizationConfigurator<C>, HasDeferrableLocalization, HasElementConfigurator<C>, HasEnabledConfigurator<C>, HasStyleConfigurator<C>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,C>, SelectableInputConfigurator<T,S,C>
  All Known Subinterfaces:
    FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.DatastorePropertyFilterableSingleSelectInputConfigurator<T,C>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.PropertyFilterableSingleSelectInputConfigurator<T,D,C>, FilterableSingleSelectConfigurator.ValidatableDatastorePropertyFilterableSingleSelectInputBuilder<T>, FilterableSingleSelectConfigurator.ValidatablePropertyFilterableSingleSelectInputBuilder<T>, ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.DatastorePropertyListMultiSelectInputConfigurator<T,C>, ListMultiSelectConfigurator.PropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.PropertyListMultiSelectInputConfigurator<T,D,C>, ListMultiSelectConfigurator.ValidatableDatastorePropertyListMultiSelectInputBuilder<T>, ListMultiSelectConfigurator.ValidatablePropertyListMultiSelectInputBuilder<T>, ListSingleSelectConfigurator.DatastorePropertyListSingleSelectInputBuilder<T>, ListSingleSelectConfigurator.DatastorePropertyListSingleSelectInputConfigurator<T,C>, ListSingleSelectConfigurator.PropertyListSingleSelectInputBuilder<T>, ListSingleSelectConfigurator.PropertyListSingleSelectInputConfigurator<T,D,C>, ListSingleSelectConfigurator.ValidatableDatastorePropertyListSingleSelectInputBuilder<T>, ListSingleSelectConfigurator.ValidatablePropertyListSingleSelectInputBuilder<T>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,C>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputConfigurator<T,D,C>, OptionsMultiSelectConfigurator.ValidatableDatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.ValidatablePropertyOptionsMultiSelectInputBuilder<T>, OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputConfigurator<T,C>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputConfigurator<T,D,C>, OptionsSingleSelectConfigurator.ValidatableDatastorePropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.ValidatablePropertyOptionsSingleSelectInputBuilder<T>, SingleSelectConfigurator.DatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.DatastorePropertySingleSelectInputConfigurator<T,C>, SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.PropertySingleSelectInputConfigurator<T,D,C>, SingleSelectConfigurator.ValidatableDatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatablePropertySingleSelectInputBuilder<T>

      public interface PropertySelectInputConfigurator<T,S,C extends PropertySelectInputConfigurator<T,S,C>>
      extends SelectableInputConfigurator<T,S,C>

  Configurator for selectable inputs with `Property` support.
  Since:
    5.2.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `itemCaptionProperty(com.holonplatform.core.property.Property<?> property)` Use given property value to generate the select items captions.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

- - ### Method Detail

    - #### itemCaptionProperty

          C itemCaptionProperty(com.holonplatform.core.property.Property<?> property)

      Use given property value to generate the select items captions.
      Parameters:
        `property` - The property to use as item captions (not null)
      Returns:
        this

Copyright © 2020 The Holon Platform. All rights reserved.